View Issue Details

IDProjectCategoryView StatusLast Update
0000313Far Manager 1.7xFile Systempublic2007-10-16 03:21
ReportersdindikovAssigned ToZuz 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionduplicate 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000313: Падение FAR при работе с \\?\..
DescriptionFAR2251,xpsp2, + один тока плаг FARCmds 1.71 build 22 [1.71.0.22]

делаем в консоли
view:\\?\C:\autoexec.bat
или
edit:\\?\C:\autoexec.bat

жмем Ctrl-F10, esc
вышли на панели
теперь на панели отображается что мы в
╔═══════ ?\C:\ ════════════╗
║р Имя │ Имя ║
║.. │PROGRAM FILES

жмем Enter или CtrlPgUp или CtrlPgDn на появившимся ..

FAR 100% схлопывается.


Trap-log такой:
Exception in [C:\Program Files\Far2\Far.exe] FAR itself.
==============================================================
FAR.EXE information:
 Version info: 1.71.2251
    File size: 722944 bytes
   Time stamp: 08.08.2007 22:27:20
 Hdr checksum: 0x000B502B (computed: 0x000B502B)
==============================================================
Exception C0000005 "ACCESS_VIOLATION" at 7C92AE22 has 0001003F flags.
Attempt to READ at address 1000E096
  EBP: 001249C8 EIP: 7C92AE22 ESP: 0012490C CS: 0000001B SS: 00000023 Flags: 00010213
  EDI: 00140000 ESI: 0014F070 EBX: 00000000 EDX: 00140608 ECX: 1000E096 EAX: 11D30CCA
   GS: 00000000 FS: 0000003B ES: 00000023 DS: 00000023
   Cw: FFFF027F Sw: FFFF0120 Tw: FFFFFFFF EOf: 00AB6D9B Es: 0319001B DOf: 7F8FD238 Ds: FFFF0023 Cr0: 00000000
  db0: 00000000 db0: 00000000 db0: 00000000 db3: 00000000 db6: 00000000 db7: 00000000
==============================================================
Exception in [C:\Program Files\Far2\Far.exe] FAR itself.
==============================================================
FAR.EXE information:
 Version info: 1.71.2251
    File size: 722944 bytes
   Time stamp: 08.08.2007 22:27:20
 Hdr checksum: 0x000B502B (computed: 0x000B502B)
==============================================================
Exception C0000005 "ACCESS_VIOLATION" at 00140005 has 0001003F flags.
Attempt to WRITE at address 0000001E
  EBP: 00123450 EIP: 00140005 ESP: 00123454 CS: 0000001B SS: 00000023 Flags: 00010246
  EDI: 00123480 ESI: 00142EF0 EBX: 001236D4 EDX: 00000000 ECX: 00140000 EAX: 0000001E
   GS: 00000000 FS: 0000003B ES: 00000023 DS: 00000023
   Cw: FFFF027F Sw: FFFF0120 Tw: FFFFFFFF EOf: 00AB6D9B Es: 0319001B DOf: 7F8FD238 Ds: FFFF0023 Cr0: 00000000
  db0: 00000000 db0: 00000000 db0: 00000000 db3: 00000000 db6: 00000000 db7: 00000000

...................
bla-bla-bla nestle exception короче.......
TagsNo tags attached.
Build2261

Relationships

duplicate of 0000190 closed Known Error Некорректная работа после \\?\UNC\<hostname>\<sharename>\<dirname> , а также cd \\.\<disk>:\<dir>, cd \\?\<disk>:\<dir> и пр. 

Activities

sdindikov

2007-08-13 17:34

developer   bugnote:0000584

Last edited: 2007-08-13 17:35

или достаточно сделать cd \\?\c:\

по отзывам (и моей проверке) на w2003sp1,sp2 не падает
на Vista - не падает.
На Xp подтвердили кроме меня ещё 3ое - у всех падение

я проверил ещё на другой XPsp2+все заплатки MS на данный момент - падает

yjh

2007-08-28 08:12

developer   bugnote:0000619

Last edited: 2007-08-28 08:13

Вообще-то это ошибка форточек - GetFileAttributes("..") при нахождении в корне UNC_пути приводит к GPF внутри ntdll :). Добавлен обход в билд 2261

Issue History

Date Modified Username Field Change
2007-08-12 22:29 sdindikov New Issue
2007-08-13 17:34 sdindikov Note Added: 0000584
2007-08-13 17:35 sdindikov Note Edited: 0000584
2007-08-13 23:47 Zuz Relationship added duplicate of 0000190
2007-08-14 00:03 Zuz Duplicate ID 0 => 190
2007-08-14 00:03 Zuz Status new => resolved
2007-08-14 00:03 Zuz Resolution open => duplicate
2007-08-14 00:03 Zuz Assigned To => Zuz
2007-08-28 08:12 yjh Note Added: 0000619
2007-08-28 08:13 yjh Note Edited: 0000619
2007-10-16 03:21 vskirdin Build => 2261
2007-10-16 03:21 vskirdin Status resolved => closed
2007-10-16 03:21 vskirdin Fixed in Version => 1.71